# Unfallkarte für Kreise und kreisfreie Städte in NRW

## Datenquelle
Darstellung aller Unfälle mit Personenschaden in Nordrhein-Westfalen. Datenquelle ist https://unfallatlas.statistikportal.de, die verwendeten Daten stehen unter einer [Datenlizenz Deutschland - Namensnennung - 2.0](https://www.govdata.de/dl-de/by-2-0)


## Kreisgrenzen
Quelle für die Kreisgrenzen ist 
http://opendatalab.de/projects/geojson-utilities/

Dort wird die vereinfachte Version exportiert.


## Javascript-Bibliotheken

jQuery

Leaflet

Leaflet Ajax

## Installation

Voraussetzungen ist ein Webserver mit PHP 8.x und eine SQL-Datenbank, z.B. MariaDB.



## Datenbankstruktur

### Table data

    -- phpMyAdmin SQL Dump
    -- version 5.1.3
    -- https://www.phpmyadmin.net/
    --
    -- Host: mariadb
    -- Erstellungszeit: 06. Okt 2023 um 10:44
    -- Server-Version: 10.9.2-MariaDB-1:10.9.2+maria~ubu2204
    -- PHP-Version: 8.1.15

    SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
    START TRANSACTION;
    SET time_zone = "+00:00";

    --
    -- Datenbank: `unfallstatistik`
    --

    -- --------------------------------------------------------

    --
    -- Tabellenstruktur für Tabelle `data`
    --

    CREATE TABLE `data` (
    `OBJECTID` int(11) NOT NULL,
    `UIDENTSTLAE` varchar(30) DEFAULT NULL,
    `ULAND` int(11) NOT NULL,
    `UREGBEZ` int(11) NOT NULL,
    `UKREIS` int(11) NOT NULL,
    `UGEMEINDE` int(11) NOT NULL,
    `UJAHR` int(11) NOT NULL,
    `UMONAT` int(11) DEFAULT NULL,
    `USTUNDE` int(11) DEFAULT NULL,
    `UWOCHENTAG` int(11) DEFAULT NULL,
    `UKATEGORIE` int(11) DEFAULT NULL,
    `UART` int(11) DEFAULT NULL,
    `UTYP1` int(11) DEFAULT NULL,
    `ULICHTVERH` int(11) DEFAULT NULL,
    `USTRZUSTAND` int(11) DEFAULT NULL,
    `IstRad` int(11) DEFAULT NULL,
    `IstPKW` int(11) DEFAULT NULL,
    `IstFuss` int(11) DEFAULT NULL,
    `IstKrad` int(11) DEFAULT NULL,
    `IstGkfz` int(11) DEFAULT NULL,
    `IstSonstige` int(11) DEFAULT NULL,
    `LINREFX` float DEFAULT NULL,
    `LINREFY` float DEFAULT NULL,
    `XGCSWGS84` float DEFAULT NULL,
    `YGCSWGS84` float DEFAULT NULL
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

    --
    -- Indizes der exportierten Tabellen
    --

    --
    -- Indizes für die Tabelle `data`
    --
    ALTER TABLE `data`
    ADD PRIMARY KEY (`OBJECTID`,`ULAND`,`UREGBEZ`,`UKREIS`,`UGEMEINDE`,`UJAHR`);
    COMMIT;


### Tabel district


    SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
    START TRANSACTION;
    SET time_zone = "+00:00";

    --
    -- Datenbank: `unfallstatistik`
    --

    -- --------------------------------------------------------

    --
    -- Tabellenstruktur für Tabelle `data`
    --

    CREATE TABLE `data` (
    `OBJECTID` int(11) NOT NULL,
    `UIDENTSTLAE` varchar(30) DEFAULT NULL,
    `ULAND` int(11) NOT NULL,
    `UREGBEZ` int(11) NOT NULL,
    `UKREIS` int(11) NOT NULL,
    `UGEMEINDE` int(11) NOT NULL,
    `UJAHR` int(11) NOT NULL,
    `UMONAT` int(11) DEFAULT NULL,
    `USTUNDE` int(11) DEFAULT NULL,
    `UWOCHENTAG` int(11) DEFAULT NULL,
    `UKATEGORIE` int(11) DEFAULT NULL,
    `UART` int(11) DEFAULT NULL,
    `UTYP1` int(11) DEFAULT NULL,
    `ULICHTVERH` int(11) DEFAULT NULL,
    `USTRZUSTAND` int(11) DEFAULT NULL,
    `IstRad` int(11) DEFAULT NULL,
    `IstPKW` int(11) DEFAULT NULL,
    `IstFuss` int(11) DEFAULT NULL,
    `IstKrad` int(11) DEFAULT NULL,
    `IstGkfz` int(11) DEFAULT NULL,
    `IstSonstige` int(11) DEFAULT NULL,
    `LINREFX` float DEFAULT NULL,
    `LINREFY` float DEFAULT NULL,
    `XGCSWGS84` float DEFAULT NULL,
    `YGCSWGS84` float DEFAULT NULL
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

    --
    -- Indizes der exportierten Tabellen
    --

    --
    -- Indizes für die Tabelle `data`
    --
    ALTER TABLE `data`
    ADD PRIMARY KEY (`OBJECTID`,`ULAND`,`UREGBEZ`,`UKREIS`,`UGEMEINDE`,`UJAHR`);
    COMMIT;
